## org.apache.batik.anim.timing
Class Interval

    java.lang.Object
      org.apache.batik.anim.timing.Interval

    public class Interval

extends java.lang.Object

A class that represents an interval for a timed element.

Field Summary
`protected float` `begin` The begin time for the interval.
`protected java.util.LinkedList` `beginDependents` The list of `InstanceTime` objects that are dependent on the begin time of this Interval.
`protected InstanceTime` `beginInstanceTime` The InstanceTime that defined the begin time of the current interval.
`protected float` `end` The end time for the interval.
`protected java.util.LinkedList` `endDependents` The list of `InstanceTime` objects that are dependent on the end time of this Interval.
`protected InstanceTime` `endInstanceTime` The InstanceTime that defined the end time of the current interval.

Constructor Summary
`Interval(float begin, float end, InstanceTime beginInstanceTime, InstanceTime endInstanceTime)` Creates a new Interval.

Method Summary
`float` `getBegin()` Returns the begin time of this interval.
`InstanceTime` `getBeginInstanceTime()` Returns the `InstanceTime` that defined the begin time of this interval.
`float` `getEnd()` Returns the end time of this interval.
`InstanceTime` `getEndInstanceTime()` Returns the `InstanceTime` that defined the end time of this interval.
`java.lang.String` `toString()` Returns a string representation of this Interval.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### begin

    protected float begin

  The begin time for the interval.

### end

    protected float end

  The end time for the interval.

### beginInstanceTime

    protected InstanceTime beginInstanceTime

  The InstanceTime that defined the begin time of the current interval.

### endInstanceTime

    protected InstanceTime endInstanceTime

  The InstanceTime that defined the end time of the current interval.

### beginDependents

    protected java.util.LinkedList beginDependents

  The list of `InstanceTime` objects that are dependent on the begin time of this Interval.

### endDependents

    protected java.util.LinkedList endDependents

  The list of `InstanceTime` objects that are dependent on the end time of this Interval.

Constructor Detail

### Interval

    public Interval(float begin,
                    float end,
                    InstanceTime beginInstanceTime,
                    InstanceTime endInstanceTime)

  Creates a new Interval.

  Parameters:
    `begin` - the begin time of the Interval
    `end` - the end time of the Interval
    `beginInstanceTime` - the `InstanceTime` object that defined the begin time of the Interval
    `endInstanceTime` - the `InstanceTime` object that defined the end time of the Interval

Method Detail

### toString

    public java.lang.String toString()

  Returns a string representation of this Interval.

  Overrides:
    `toString` in class `java.lang.Object`

### getBegin

    public float getBegin()

  Returns the begin time of this interval.

### getEnd

    public float getEnd()

  Returns the end time of this interval.

### getBeginInstanceTime

    public InstanceTime getBeginInstanceTime()

  Returns the `InstanceTime` that defined the begin time of this interval.

### getEndInstanceTime

    public InstanceTime getEndInstanceTime()

  Returns the `InstanceTime` that defined the end time of this interval.

Copyright © 2008 Apache Software Foundation. All Rights Reserved.